Sign in to follow this  

What Symbian SDK to use for OpenGL ES development?

This topic is 4353 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

I recently downloaded an example 3D application from www.forum.nokia.com that uses OpenGL ES (or some other custom rendering method for non-OGL ES devices). I am using Visual Studio .NET 2003 and Nokia Developer Suite with the Series60 6.1 SDK. When I compile the project, it seems to ignore the macro __S60__ definition in the MMP file, which causes the project to fail compilation. I am wondering if someone here has managed to compile a similar project with the use of some other IDE and SDK, and if so, which ones? Thanks!

Share this post


Link to post
Share on other sites
I have successfully run 3d apps from Forum Nokia using both the 7.0s SDK and the 8.0a SDK, so maybe try one of those. 6.1 is pretty old now, so I'm not exactly sure why you are using it... especially for 3d, I doubt you will find a phone with 6.1 that will run 3d. You will be much better off with 8.0 or 9.

I use Visual Studio .NET 2003 as well, but not the NDS (not needed). Have you managed to compile any other projects?

Share this post


Link to post
Share on other sites
I am using the 6.1 SDK because we made a Nokia N-Gage project in school. I have managed to compile many projects using it, but I am guessing that 3D applications are more advanced than the 6.1 SDK can ever manage. I'll try the 7.0 or 8.0 SDK.

Btw, is there a list on mobiles that support 3D apps? I tried installing the Example3D SIS files (both the regular and the one supporting ES) on my Nokia 6680, but I got screwed up colors and textures. I saw the shapes, but the entire scene was a big mess of green, red and blue stripes.. it looked weird to say the least :)

Share this post


Link to post
Share on other sites
Hi,
the 6680 definately supports 3d. I haven't used it myself but I think I rememeber reading posts of the Forum Nokia discussion board about how the 6680 does strange things with colours, compared with the 6630 (6630 and 6680 differ only in the fact that the 6680 has 18 bit colours and the 6630 has 16).

Do a search on forum nokia and you might get a better explanation.

Good Luck.

Share this post


Link to post
Share on other sites
I've used the 7.0s SDK successfully with my 6600, along with the Hybrid GLES library (the 6600 does not have a GL library already on the phone) to compile & run 3d apps. I used VC6 as my IDE and the gcc version included in the Nokia SDK. There are newer gcc versions available from a website that I can't find a link for at present.
nb - v6.1 is extremely old now & headers for GLES aren't supplied with it (with good reason. They are there in 8.0 though). Your 6680 should definitely work with 7.0s, and *possibly* 8.0 or newer.

However if you wish to continue using 6.1 or 7.0s, head over to http://www.hybrid.fi & get hold of a copy of their library (it's been a while since I checked but it looks like they're calling it "Rasteroid" now).

Eclipse is another IDE that works quite well with the Nokia SDK - there's a relevant plugin & installation guide on www.newlc.com.

Share this post


Link to post
Share on other sites

This topic is 4353 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this